// @ts-ignore
/* eslint-disable */
import request from '@/request/http'

/** 修改 修改UpdateVO中不为空的字段 PUT /fApplicationDocumentRel */
export async function update12(
  body: API.FApplicationDocumentRelUpdateVO,
  options?: { [key: string]: any }
) {
  return request<API.RFApplicationDocumentRel>(`/finyx/fApplicationDocumentRel`, {
    method: 'PUT',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 新增 POST /fApplicationDocumentRel */
export async function save12(
  body: API.FApplicationDocumentRelSaveVO,
  options?: { [key: string]: any }
) {
  return request<API.RFApplicationDocumentRel>(`/finyx/fApplicationDocumentRel`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 删除 DELETE /fApplicationDocumentRel */
export async function delete12(body: number[], options?: { [key: string]: any }) {
  return request<API.RBoolean>(`/finyx/fApplicationDocumentRel`, {
    method: 'DELETE',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 单体查询 单体查询 GET /fApplicationDocumentRel/${param0} */
export async function get12(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.get12Params,
  options?: { [key: string]: any }
) {
  const { id: param0, ...queryParams } = params
  return request<API.RFApplicationDocumentRelResultVO>(`/finyx/fApplicationDocumentRel/${param0}`, {
    method: 'GET',
    params: { ...queryParams },
    ...(options || {})
  })
}

/** 复制 POST /fApplicationDocumentRel/copy */
export async function copy12(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.copy12Params,
  options?: { [key: string]: any }
) {
  return request<API.RFApplicationDocumentRel>(`/finyx/fApplicationDocumentRel/copy`, {
    method: 'POST',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 查询单体详情 GET /fApplicationDocumentRel/detail */
export async function getDetail12(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.getDetail12Params,
  options?: { [key: string]: any }
) {
  return request<API.RFApplicationDocumentRelResultVO>(`/finyx/fApplicationDocumentRel/detail`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 根据Id批量查询 根据Id批量查询 POST /fApplicationDocumentRel/findByIds */
export async function findByIds12(body: number[], options?: { [key: string]: any }) {
  return request<API.RListFApplicationDocumentRelResultVO>(
    `/finyx/fApplicationDocumentRel/findByIds`,
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json'
      },
      data: body,
      ...(options || {})
    }
  )
}

/** 分页列表查询 POST /fApplicationDocumentRel/page */
export async function page12(
  body: API.PageParamsFApplicationDocumentRelPageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RIPageFApplicationDocumentRelResultVO>(`/finyx/fApplicationDocumentRel/page`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 批量查询 批量查询 POST /fApplicationDocumentRel/query */
export async function query12(
  body: API.FApplicationDocumentRelPageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RListFApplicationDocumentRelResultVO>(`/finyx/fApplicationDocumentRel/query`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 修改 修改UpdateVO中不为空的字段 PUT /fWriteDocumentRel */
export async function update(
  body: API.FWriteDocumentRelUpdateVO,
  options?: { [key: string]: any }
) {
  return request<API.RFWriteDocumentRel>(`/finyx/fWriteDocumentRel`, {
    method: 'PUT',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 新增 POST /fWriteDocumentRel */
export async function save(body: API.FWriteDocumentRelSaveVO, options?: { [key: string]: any }) {
  return request<API.RFWriteDocumentRel>(`/finyx/fWriteDocumentRel`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 删除 DELETE /fWriteDocumentRel */
export async function deleteUsingDelete(body: number[], options?: { [key: string]: any }) {
  return request<API.RBoolean>(`/finyx/fWriteDocumentRel`, {
    method: 'DELETE',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 单体查询 单体查询 GET /fWriteDocumentRel/${param0} */
export async function get(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.getParams,
  options?: { [key: string]: any }
) {
  const { id: param0, ...queryParams } = params
  return request<API.RFWriteDocumentRelResultVO>(`/finyx/fWriteDocumentRel/${param0}`, {
    method: 'GET',
    params: { ...queryParams },
    ...(options || {})
  })
}

/** 复制 POST /fWriteDocumentRel/copy */
export async function copy(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.copyParams,
  options?: { [key: string]: any }
) {
  return request<API.RFWriteDocumentRel>(`/finyx/fWriteDocumentRel/copy`, {
    method: 'POST',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 查询单体详情 GET /fWriteDocumentRel/detail */
export async function getDetail(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.getDetailParams,
  options?: { [key: string]: any }
) {
  return request<API.RFWriteDocumentRelResultVO>(`/finyx/fWriteDocumentRel/detail`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 根据Id批量查询 根据Id批量查询 POST /fWriteDocumentRel/findByIds */
export async function findByIds(body: number[], options?: { [key: string]: any }) {
  return request<API.RListFWriteDocumentRelResultVO>(`/finyx/fWriteDocumentRel/findByIds`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 分页列表查询 POST /fWriteDocumentRel/page */
export async function page(
  body: API.PageParamsFWriteDocumentRelPageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RIPageFWriteDocumentRelResultVO>(`/finyx/fWriteDocumentRel/page`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 批量查询 批量查询 POST /fWriteDocumentRel/query */
export async function query(
  body: API.FWriteDocumentRelPageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RListFWriteDocumentRelResultVO>(`/finyx/fWriteDocumentRel/query`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}
